openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

General support questions including new installations

openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby yngens » 2012/01/25 00:45:36

Today I tried to yum update and got:

Code: Select all
yum update
Loaded plugins: fastestmirror, priorities, replace
Loading mirror speeds from cached hostfile
 * base: centos.mirror.lstn.net
 * epel: mirror.steadfast.net
 * extras: mirror.raystedman.net
 * ius: pancks.sothatswhy.org.uk
 * rpmforge: fr2.rpmfind.net
 * updates: centos.mirror.lstn.net
4353 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package lvm2.x86_64 0:2.02.84-6.el5_7.2 set to be updated
---> Package openssl.x86_64 0:0.9.8e-20.el5_7.1 set to be updated
---> Package openssl-devel.x86_64 0:0.9.8e-20.el5_7.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved
=============================================================
 Package        Arch    Version               RepositorySize
=============================================================
Updating:
 lvm2           x86_64  2.02.84-6.el5_7.2     updates  3.1 M
 openssl        x86_64  0.9.8e-20.el5_7.1     updates  1.4 M
 openssl-devel  x86_64  0.9.8e-20.el5_7.1     updates  1.9 M

Transaction Summary
=============================================================

Install       0 Package(s)
Upgrade       3 Package(s)

Total size: 6.3 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/man/man1/ca.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
  file /usr/share/man/man1/req.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
  file /usr/share/man/man1/x509.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686

Error Summary
-------------

[Moderator edit: Remove excess characters in very long lines to prevent running-off-the-right-side-of-the-page issues.]
yngens
 
Posts: 20
Joined: 2010/10/24 02:02:35

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby pschaff » 2012/01/25 01:04:36

These updates were just released a matter of hours ago, so it may be a repo sync issue. I'd do "yum clean all" and try again. Both architectures should be updated on mult-arch.

In any case these are CentOS 5 updates, so "CentOS 6 - General Support" is the wrong forum. Moving you to CentOS-5.

OT: Please use a narrower window for yum output to avoid long lines.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby deltatech » 2012/01/25 02:56:56

I am having the exact same problem. A new update was just released and it will not install. yum clean all doesn't help

Transaction Check Error:
file /usr/share/man/man1/ca.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
file /usr/share/man/man1/req.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
file /usr/share/man/man1/x509.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
deltatech
 
Posts: 3
Joined: 2008/10/14 07:30:28

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby bobtatus » 2012/01/25 08:54:22

Exact same issue, happening on two different servers when compiling apache / php

file /usr/share/man/man1/ca.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
file /usr/share/man/man1/req.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686
file /usr/share/man/man1/x509.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with file from package openssl-0.9.8e-20.el5.i686

Server details:


Linux server 2.6.18-194.11.4.el5 #1 SMP Tue Sep 21 05:04:09 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
Linux server 2.6.18-028stab089.1 #1 SMP Thu Apr 14 13:46:04 MSD 2011 x86_64 x86_64 x86_64 GNU/Linux

Both are CentOS 5.7 final
bobtatus
 
Posts: 3
Joined: 2012/01/25 08:50:41

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby witalis » 2012/01/25 09:20:58

there some diffs in package list between redhat errata [1] and centos errata [2]:

missing in centos x86_64
openssl-0.9.8e-20.el5_7.1.i686.rpm


[1] https://rhn.redhat.com/errata/RHSA-2012-0060.html
[2] http://lists.centos.org/pipermail/cento ... 18391.html
witalis
 
Posts: 6
Joined: 2008/07/05 09:33:01

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby TrevorH » 2012/01/25 09:36:23

The i386 update is missing from the master mirror but it's being looked at and should be fixed. I think the x86_64 one has now been removed too which will fix the issue temporarily but doesn't get anyone the update :-) Those changes need to trickle from the master mirror to the others before they'll be visible.
User avatar
TrevorH
Forum Moderator
 
Posts: 9088
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby bobtatus » 2012/01/25 10:02:35

TrevorH wrote:
The i386 update is missing from the master mirror but it's being looked at and should be fixed. I think the x86_64 one has now been removed too which will fix the issue temporarily but doesn't get anyone the update :-) Those changes need to trickle from the master mirror to the others before they'll be visible.


Hmm still getting the same error - anything I should be doing if they have been removed to continue?
bobtatus
 
Posts: 3
Joined: 2012/01/25 08:50:41

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby swinny » 2012/01/25 10:05:10

Thanks for the update, Trevor. I'm still seeing the issue on CentOS 5.7, but presumably it will stop trying to update soon.
swinny
 
Posts: 3
Joined: 2012/01/25 09:54:43
Location: Norfolk, UK

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby pschaff » 2012/01/25 12:09:55

Welcome to the CentOS fora, swinny. Please see the recommended reading for new users linked in my signature, particularly the guidelines on commercial links in signatures. They have been removed from yours.

All - still no resolution to the error from where I sit. As of a few minutes ago this issue was reported as fixed on IRC #centos-devel so it should propagate to the mirrors soon.
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America

Re: openssl-0.9.8e-20.el5_7.1.x86_64 conflicts with openssl-0.9.8e-20.el5.i686

Postby TrevorH » 2012/01/25 12:38:23

Phil, the 1st fix is wrong and the mirror is now missing the openssl-devel i386 package. Fixed one thing, broke another so the updates still will apply.

Edit: it appears to have been fixed now on the main mirror so if anyone is still having this problem then either your local mirror has not yet updated or you need to run

Code: Select all
yum clean metadata
yum update
User avatar
TrevorH
Forum Moderator
 
Posts: 9088
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Next

Return to CentOS 5 - General Support

Who is online

Users browsing this forum: Pantela and 4 guests